package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.ColumnDataFeign;
import com.steerinfo.dil.service.impl.AmsDispatchSaleOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsSaleOrder RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-06 07:10
 * 类描述
 * 修订历史：
 * 日期：2021-09-06
 * 作者：generator
 * 参考：
 * 描述：AmsSaleOrder RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/amsdispatchsaleorders")
public class AmsDispatchSaleOrderController extends BaseRESTfulController {

    @Autowired
    AmsDispatchSaleOrderServiceImpl amsDispatchSaleOrderService;
    @Autowired
    ColumnDataFeign columnDataFeign;
    @Autowired
    ColumnDataUtil columnDataUtil;

    @ApiOperation(value="查询app端公开抢单")
    @PostMapping("/getDispatchSaleOrderList")
    public RESTfulResult getDispatchSaleOrderList(){
        List<Map<String, Object>> list = amsDispatchSaleOrderService.getDispatchSaleOrderList();
        return success(list);
    }

    @ApiOperation(value="查询app端已抢的销售订单")
    @PostMapping("/getLockDispatchSaleOrderList")
    public RESTfulResult getLockDispatchSaleOrderList(Integer carrierId){
        List<Map<String, Object>> list = amsDispatchSaleOrderService.getLockDispatchSaleOrderList(carrierId);
        return success(list);
    }

    @ApiOperation(value="抢单/接收订单锁定")
    @PostMapping("/lockDispatchSaleOrder")
    public RESTfulResult lockDispatchSaleOrder(@RequestParam Integer dispatchId,
                                               @RequestParam Integer carrierId) {
        int result = amsDispatchSaleOrderService.lockDispatchSaleOrder(new BigDecimal(dispatchId),new BigDecimal(carrierId));
        return success(result);
    }

}
