package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.AmsRailOffsetDayplan;
import com.steerinfo.dil.service.impl.AmsRailOffsetDayplanServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/amsrailoffsetdayplan")
public class AmsRailOffsetDayplanController extends BaseRESTfulController {
    @Autowired
    AmsRailOffsetDayplanServiceImpl amsRailOffsetDayplanService;
    @Autowired
    ColumnDataUtil columnDataUtil;
    /**
     *新增钢材发往异地库计划
     */
    @PostMapping("/addRailOffsetDayplan")
    public RESTfulResult addRailOffsetDayplan(@RequestBody AmsRailOffsetDayplan amsRailOffsetDayplan) {
        if(amsRailOffsetDayplan==null){
            return failed();
        }
        amsRailOffsetDayplanService.insert(amsRailOffsetDayplan);
        return success();
    }
    /**
     * 删除钢材发往异地库计划
     */
    @PostMapping("/deleteRailOffsetDayplan/{dayPlanId}")
    public RESTfulResult deleteTruckRailDayPlan(@PathVariable("dayPlanId") BigDecimal dayPlanId) {
        amsRailOffsetDayplanService.delete(dayPlanId);
        return success("删除成功");
    }
    /**
     * 修改钢材发往异地库计划
     */
    @PostMapping("/updateRailOffsetDayplan")
    public RESTfulResult updateRailOffsetDayplan(@RequestBody AmsRailOffsetDayplan amsRailOffsetDayplan) {
        if(amsRailOffsetDayplan.getDayplanId()==null){
            return failed("传值为空");
        }
        amsRailOffsetDayplanService.update(amsRailOffsetDayplan);
        return success("修改成功");
    }
    /**
     * 查询钢材发往异地库计划
     */
    @ApiModelProperty(value = "展示钢材发往异地库计划")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "185", required = false, dataType = "BigDecimal")
    })
    @PostMapping("/getRailOffsetDayplan")
    public RESTfulResult getRailOffsetDayplan(@RequestBody(required = false) Map<String,Object> mapValue,
                                              Integer pageNum,
                                              Integer pageSize,
                                              Integer apiId) {
        List<Map<String, Object>> list = amsRailOffsetDayplanService.getRailOffsetDayplan(mapValue);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = amsRailOffsetDayplanService.getRailOffsetDayplan(mapValue);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, list, columnList);
        return success(data);
    }
}
