package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.AmstruckInwardRequirement;
import com.steerinfo.dil.service.IAmstruckInwardRequirementService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * AmstruckInwardRequirement RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 11:30
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：AmstruckInwardRequirement RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/amstruckinwardrequirement")
public class AmstruckInwardRequirementController extends BaseRESTfulController {

    @Autowired
    IAmstruckInwardRequirementService amstruckInwardRequirementService;
    @Autowired
    ColumnDataUtil columnDataUtil;
    /**
     *用车单位提出需求
     *新增用车需求
     */
    @PostMapping("/addTruckRequirement")
    public RESTfulResult addTruckRequirement(@RequestBody AmstruckInwardRequirement amstruckInwardRequirement) {
        amstruckInwardRequirementService.insert(amstruckInwardRequirement);
        return success();
    }
    /**
     * 删除用车需求
     */
    @PostMapping("/deleteTruckRequirement/{requirementId}")
    public RESTfulResult deleteTruckRequirement(@PathVariable("requirementId") BigDecimal requirementId) {
        amstruckInwardRequirementService.delete(requirementId);
        return success("删除成功");
    }
    /**
     * 修改用车需求/下发用车需求
     */
    @PostMapping("/updateTruckRequirement")
    public RESTfulResult updateTruckRequirement(@RequestBody AmstruckInwardRequirement amstruckInwardRequirement) {
        amstruckInwardRequirement.setUpdateTime(new Date());
        amstruckInwardRequirement.setUpdateUsername("admin");
        amstruckInwardRequirementService.modify(amstruckInwardRequirement);
        return success("修改成功");
    }
    /**
     * 展示未下发的用车需求
     * @param mapValue
     * @param pageNum
     * @param pageSize
     * @param apiId
     * @return
     */
    @ApiModelProperty(value = "展示未下发的用车需求")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "207", required = false, dataType = "BigDecimal")
    })
    @PostMapping("/getTruckRequirementList")
    public RESTfulResult getTruckRequirementList(@RequestBody(required = false) Map<String,Object> mapValue,
                                                 Integer pageNum,
                                                 Integer pageSize,
                                                 Integer apiId) {
        List<Map<String, Object>> list = amstruckInwardRequirementService.getTruckRequirementList(mapValue);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = amstruckInwardRequirementService.getTruckRequirementList(mapValue);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, list, columnList);
        return success(data);
    }

}
