package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsSaleOrderMapper extends IBaseMapper<AmsSaleOrder, BigDecimal> {
    //查询所有未上报销售订单信息
    List<Map<String, Object>> getSaleOrderInfo(Map<String,Object> map);
    //查询所有已上报销售订单信息
    List<Map<String, Object>> getSaleOrderReported(Map<String,Object> map);
    //根据车序号查询销售订单详细
    List<Map<String, Object>> getSaleOrderDetail(Map<String,Object> map);
    //获取销售计划名称
    List<Map<String, Object>> getSalePlanName();
    //获取发货单位
    List<Map<String, Object>> getShipperName();
    //获取收货单位
    List<Map<String, Object>> getConsigneeCompanyName();
    //查询主键最大值
    BigDecimal selectMaxId();
    //获取要渲染的数据
    List<Map<String, Object>> selectBySaleOrderId(BigDecimal saleOrderId);
    //删除所有从表信息
    int deleteBySaleOrderId(BigDecimal saleOrderId);
    //查询所有财务已经审批的销售订单
    List<Map<String, Object>> getAmsSaleOrderApproved(Map<String,Object> map);
    //通过销售订单号查询销售订单的修改日志
    List<Map<String, Object>> getSaleOrderUpdateLog(Map<String,Object> map);


    List<Map<String,Object>> getSaleOrderList(Map<String,Object> mapValue);

    List<Integer>  getCarrier(Integer param);
}