package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="发运钢材到异地库日计划")
public class AmsRailOffsetDayplan implements IBasePO<Integer> {
    /**
     * 发运计划ID(DAYPLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="发运计划ID",required=true)
    private Integer dayplanId;

    /**
     * 计划号(DAYPLAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计划号",required=false)
    private String dayplanNo;

    /**
     * 计划日期(DAYPLAN_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计划日期",required=false)
    private Date dayplanDate;

    /**
     * 发货单位ID(SHIPPER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="发货单位ID",required=false)
    private Integer shipperId;

    /**
     * 发货日期(DAYPLAN_DELIVERY_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="发货日期",required=false)
    private Date dayplanDeliveryDate;
    /**
     * 承运商ID(DAYPLAN_MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }
    /**
     * 自有汽车数(DAYPLAN_OWN_CARS_AMOUT,DECIMAL,38)
     */
    @ApiModelProperty(value="自有汽车数",required=false)
    private Integer dayplanOwnCarsAmout;

    /**
     * 专用线ID(DAYPLAN_DEDICATED_LINE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="专用线ID",required=false)
    private Integer dayplanDedicatedLineId;

    /**
     * 到站ID(DAYPLAN_TO_THE_STATION_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="到站ID",required=false)
    private Integer dayplanToTheStationId;

    /**
     * 移库单位ID(TRANSFER_UNIT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="移库单位ID",required=false)
    private Integer transferUnitId;

    /**
     * 车皮数(DAYPLAN_WAGON_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="车皮数",required=false)
    private Integer dayplanWagonNumber;

    /**
     * 收货单位(RECEIVING_UNIT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="收货单位",required=false)
    private Integer receivingUnitId;

    /**
     * 收货人(DAYPLAN_CONSIGNEE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="收货人",required=false)
    private String dayplanConsigneeName;

    /**
     * 联系电话(DAYPLAN_CONSIGNEE_TEL,VARCHAR,20)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String dayplanConsigneeTel;

    /**
     * 接收状态（0;未接收，1：已接收）(DAYPLAN_RECEIVE_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="接收状态（0;未接收，1：已接收）",required=false)
    private Integer dayplanReceiveStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public Integer getId() {
        return this.dayplanId;
    }

    @Override
    public void setId(Integer dayplanId) {
        this.dayplanId = dayplanId;
    }

    public Integer getDayplanId() {
        return dayplanId;
    }

    public void setDayplanId(Integer dayplanId) {
        this.dayplanId = dayplanId;
    }

    public String getDayplanNo() {
        return dayplanNo;
    }

    public void setDayplanNo(String dayplanNo) {
        this.dayplanNo = dayplanNo == null ? null : dayplanNo.trim();
    }

    public Date getDayplanDate() {
        return dayplanDate;
    }

    public void setDayplanDate(Date dayplanDate) {
        this.dayplanDate = dayplanDate;
    }

    public Integer getShipperId() {
        return shipperId;
    }

    public void setShipperId(Integer shipperId) {
        this.shipperId = shipperId;
    }

    public Date getDayplanDeliveryDate() {
        return dayplanDeliveryDate;
    }

    public void setDayplanDeliveryDate(Date dayplanDeliveryDate) {
        this.dayplanDeliveryDate = dayplanDeliveryDate;
    }

    public Integer getDayplanOwnCarsAmout() {
        return dayplanOwnCarsAmout;
    }

    public void setDayplanOwnCarsAmout(Integer dayplanOwnCarsAmout) {
        this.dayplanOwnCarsAmout = dayplanOwnCarsAmout;
    }

    public Integer getDayplanDedicatedLineId() {
        return dayplanDedicatedLineId;
    }

    public void setDayplanDedicatedLineId(Integer dayplanDedicatedLineId) {
        this.dayplanDedicatedLineId = dayplanDedicatedLineId;
    }

    public Integer getDayplanToTheStationId() {
        return dayplanToTheStationId;
    }

    public void setDayplanToTheStationId(Integer dayplanToTheStationId) {
        this.dayplanToTheStationId = dayplanToTheStationId;
    }

    public Integer getTransferUnitId() {
        return transferUnitId;
    }

    public void setTransferUnitId(Integer transferUnitId) {
        this.transferUnitId = transferUnitId;
    }

    public Integer getDayplanWagonNumber() {
        return dayplanWagonNumber;
    }

    public void setDayplanWagonNumber(Integer dayplanWagonNumber) {
        this.dayplanWagonNumber = dayplanWagonNumber;
    }

    public Integer getReceivingUnitId() {
        return receivingUnitId;
    }

    public void setReceivingUnitId(Integer receivingUnitId) {
        this.receivingUnitId = receivingUnitId;
    }

    public String getDayplanConsigneeName() {
        return dayplanConsigneeName;
    }

    public void setDayplanConsigneeName(String dayplanConsigneeName) {
        this.dayplanConsigneeName = dayplanConsigneeName == null ? null : dayplanConsigneeName.trim();
    }

    public String getDayplanConsigneeTel() {
        return dayplanConsigneeTel;
    }

    public void setDayplanConsigneeTel(String dayplanConsigneeTel) {
        this.dayplanConsigneeTel = dayplanConsigneeTel == null ? null : dayplanConsigneeTel.trim();
    }

    public Integer getDayplanReceiveStatus() {
        return dayplanReceiveStatus;
    }

    public void setDayplanReceiveStatus(Integer dayplanReceiveStatus) {
        this.dayplanReceiveStatus = dayplanReceiveStatus;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dayplanId=").append(dayplanId);
        sb.append(", dayplanNo=").append(dayplanNo);
        sb.append(", dayplanDate=").append(dayplanDate);
        sb.append(", shipperId=").append(shipperId);
        sb.append(", dayplanDeliveryDate=").append(dayplanDeliveryDate);
        sb.append(", dayplanOwnCarsAmout=").append(dayplanOwnCarsAmout);
        sb.append(", dayplanDedicatedLineId=").append(dayplanDedicatedLineId);
        sb.append(", dayplanToTheStationId=").append(dayplanToTheStationId);
        sb.append(", transferUnitId=").append(transferUnitId);
        sb.append(", dayplanWagonNumber=").append(dayplanWagonNumber);
        sb.append(", receivingUnitId=").append(receivingUnitId);
        sb.append(", dayplanConsigneeName=").append(dayplanConsigneeName);
        sb.append(", dayplanConsigneeTel=").append(dayplanConsigneeTel);
        sb.append(", dayplanReceiveStatus=").append(dayplanReceiveStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}